package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PasienInstruksiPerjanjian_T")
public class PasienInstruksiPerjanjian extends BaseTransaction{
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@NotNull(message = "Ruangan tidak boleh kosong")
	private Ruangan ruangan;	
	
	@Column(name = "ObjectRuanganFk", insertable = false, updatable = false, nullable = false)
	private Integer ruanganId;
	
	@Column(name = "jumlahKujungan")
	private Integer jumlahKunjungan;
	
	@Column(name = "current")
	private Integer current;
	
	@Column(name = "status")
	private Boolean status;

	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Integer getPasienId() {
		return pasienId;
	}

	public void setPasienId(Integer pasienId) {
		this.pasienId = pasienId;
	}

	public Integer getJumlahKunjungan() {
		return jumlahKunjungan;
	}

	public void setJumlahKunjungan(Integer jumlahKunjungan) {
		this.jumlahKunjungan = jumlahKunjungan;
	}

	public Integer getCurrent() {
		return current;
	}

	public void setCurrent(Integer current) {
		this.current = current;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Boolean getStatus() {
		return status;
	}

	public void setStatus(Boolean status) {
		this.status = status;
	}

}
